#import "../../Fragments/Image.graphql"
#import "../../Fragments/System.graphql"

query GetCurrentHeader($locale: String!) {
  all_current_header(limit: 1, locale: $locale) {
    items {
      frontpage_link_text
      logoConnection {
        edges {
          node {
            ...Image
          }
        }
      }
      menu {
        links {
          href
          title
        }
      }
      top_menu {
        links {
          link {
            href
            title
          }
          show_on_mobile
          sort_order_mobile
        }
      }
    }
  }
}

query GetCurrentHeaderRef($locale: String!) {
  all_current_header(limit: 1, locale: $locale) {
    items {
      system {
        ...System
      }
    }
  }
}
